#ifndef __CEVIDEO_GDI__
#define __CEVIDEO_GDI__

extern int CEVideo_Init_GDI( int width, int height );
extern void CEVideo_Trash_GDI(void);

extern void systemDrawScreen_GDI_NOBUF(void);
extern void systemDrawScreen_GDI_USEBUF(void);

extern char * CEVideo_GetBufferPtrLine_FULL_GDI_NOBUF(int line);
extern char * CEVideo_GetBufferPtrLine_FULL_GDI_USEBUF(int line);

extern char * CEVideo_GetBufferPtrLine_HALF_GDI_NOBUF(int line);
extern char * CEVideo_GetBufferPtrLine_HALF_GDI_USEBUF(int line);

extern char * CEVideo_GetBufferPtrLine_INTERLESS_GDI_NOBUF(int line);
extern char * CEVideo_GetBufferPtrLine_INTERLESS_GDI_USEBUF(int line);

extern char * CEVideo_GetBufferPtr_GDI_NOBUF(void);
extern char * CEVideo_GetBufferPtr_GDI_USEBUF(void);

extern void CEVideo_CleanBuffer_GDI_NOBUF(void);
extern void CEVideo_CleanBuffer_GDI_USEBUF(void);

extern void CEVideo_FreeBufferPtr_GDI_NOBUF(void);
extern void CEVideo_FreeBufferPtr_GDI_USEBUF(void);

#endif
